Subject: Re: [Qirg] Qirg Digest, Vol 12, Issue 11

From: gyananjay rai <[email-masked]>
Date: Thu, 14 Mar 2019 02:39:39 +0530

Hi Axel,

I feel classical internet stack analogies will have its advantage  in rapid
mass  adoption of quantum computing since the early adoption will solely
transitioned classical web and internet resources into hybrid and pure
quantum stack.Also at layer above to transport layer to application layer
is majorly   magnified classical application in nature in addition to
quantum applications.

Hi Rod,

Also I found your draft enticing.

Axel and Rod: I perceive  integration of your drafts appears to addressing
many facet of qunatum information encoding,headers,connection
synchronisation  and transmission.

PS:It's purely a classical perception with limited insight of quantum
mechanics.

Sincerely
Gyananjay

On Wed, 13 Mar 2019, 15:51 , <[email-masked]> wrote:

> Send Qirg mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.irtf.org/mailman/listinfo/qirg
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Qirg digest..."
> Today's Topics:
>
>    1. Re: Qirg Digest, Vol 12, Issue 10 (gyananjay rai)
>    2. connection setup (Rodney Van Meter)
>    3. Architectural considerations for quantum networks
>       (Alexander Pirker)
>    4. Re: connection setup (Gelard Patrick)
>    5. Re: Qirg Digest, Vol 12, Issue 10 (Axel Dahlberg)
>
>
>
> ---------- Forwarded message ----------
> From: gyananjay rai <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Wed, 13 Mar 2019 01:26:40 +0530
> Subject: Re: [Qirg] Qirg Digest, Vol 12, Issue 10
> Hi ,
>
> I can perceive only classical perspective of the draft due my limitation
> of deeper insight of quantum mechanics.
>
> 1.I feel the draft is concluding entire data link,network and transport
> layer in to one.If that is due to the fact that the achieving quantum
> communication at layer 2 on top of abstracted higher layer of classical
> communication ?
> 2. If entanglement is layer 2 phenomenon,what is layer3...teleportation we
> can think/conceptualize  of as layer 3!
> 3.Can we add QKD/BQC at layer 4.
> 4.What about TTL (Qubit)
>
> I just tried to find some analogies.
>
> Sincerely
> Gyananjay
>
> On Wed, 13 Mar 2019, 00:32 , <[email-masked]> wrote:
>
>> Send Qirg mailing list submissions to
>>         [email-masked]
>>
>> To subscribe or unsubscribe via the World Wide Web, visit
>>         https://www.irtf.org/mailman/listinfo/qirg
>> or, via email, send a message with subject or body 'help' to
>>         [email-masked]
>>
>> You can reach the person managing the list at
>>         [email-masked]
>>
>> When replying, please edit your Subject line so it is more specific
>> than "Re: Contents of Qirg digest..."
>> Today's Topics:
>>
>>    1. Link layer service draft (Axel Dahlberg)
>>
>>
>>
>> ---------- Forwarded message ----------
>> From: Axel Dahlberg <[email-masked]>
>> To: "[email-masked]" <[email-masked]>
>> Cc:
>> Bcc:
>> Date: Tue, 12 Mar 2019 10:50:42 +0000
>> Subject: [Qirg] Link layer service draft
>> Hi qirgers!
>>
>> As mentioned in an earlier email, I would like to discuss the service of
>> a link layer protocol in a Quantum Internet. To aid this discussion we
>> uploaded yesterday an initial draft (
>> https://datatracker.ietf.org/doc/html/draft-dahlberg-ll-quantum) that
>> specifies the service and interface of such a link layer. Note that this is
>> version 00 and is meant as a kickstarter for the discussion. Questions that
>> would be useful to discuss during the meeting are:
>>
>>         1. Is the specified service the service that higher layer
>> protocols and applications want and need? Is there something missing? Is
>> there something redundant?
>>         2. Is it feasible to implement this service on different types of
>> platforms and hardware? What limitations could there be? For example some
>> platforms might not support the type K (create and               keep)
>> requests. Conversely, are the capabilities that some hardware supports but
>> that the specified link layer service restricts? Should multi-partite
>> entangled states be part of the link layer?
>>         3. In the draft, what needs to be further specified/clarified?
>>
>> We are happy to hear any feedback, comments, questions, suggestions and
>> contributions.
>>
>> Looking forward to seeing you all in the meeting!
>>
>> /Axel Dahlberg
>>
>> _______________________________________________
>> Qirg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/qirg
>>
>
>
>
> ---------- Forwarded message ----------
> From: Rodney Van Meter <[email-masked]>
> To: [email-masked]
> Cc: Rodney Van Meter <[email-masked]>
> Bcc:
> Date: Wed, 13 Mar 2019 08:39:22 +0800
> Subject: [Qirg] connection setup
> We uploaded a draft on connection setup in a quantum network.  This
> represents how our quantum Internet simulator actually does things today,
> though the implementation isn’t yet truly complete.
>
> https://datatracker.ietf.org/doc/draft-van-meter-qirg-quantum-connection-setup/
>
> With the chair’s permission(???), would like to add this to the agenda for
> Prague.
>
> —Rod
>
> P.S. I don’t think any of the three new drafts that were uploaded have
> correctly shown up as QIRG-related.  Will see what I can do to fix.
>
>
>
>
> ---------- Forwarded message ----------
> From: Alexander Pirker <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 Mar 2019 09:49:41 +0100
> Subject: [Qirg] Architectural considerations for quantum networks
> Dear all,
>
> as I am also a member of the QIRG list, I've noticed the latest
> discussions regarding quantum network stacks, link layer, etc.
>
> I wanted to point at two works which me and Wolfgang Dür here at
> Innsbruck (one of them together with Julius Wallnöfer) did recently,
> which might be of interest for you. Particularly, I mean the following
> two works:
>
> "Modular architectures for quantum networks"
> https://iopscience.iop.org/article/10.1088/1367-2630/aac2aa
>
> "A quantum network stack and protocols for reliable entanglement-based
> networks"
> https://iopscience.iop.org/article/10.1088/1367-2630/ab05f7
>
> The first work presents network architectures for quantum networks
> which use multipartite entangled states to generate arbitrary graph
> states among clients (which is the ultimate goal in our quantum
> networks as we define them, since this also includes the sending of
> states by means of teleportation). Specifically, we introduce there
> the notion of switches and routers which connect either by GHZ states
> of decreasing size or m-partite, fully connected decorated graph
> states. Clients solely connect to these devices, which implies they
> need minimal functionality. In a request the clients ask the network
> to share a certain state, and the network devices shall generate that
> state. We provide a protocol which achieves this for both states (GHZ,
> decorated state).
>
> The second work outlines how a quantum network stack for quantum
> networks (which use entanglement) could look like. Here we assume
> again that the ultimate goal of clients is to share arbitrary graph
> states (as this is the most general scenario). We have identified four
> different layers which allow for this in a coordinated and
> straightforward manner:
>
> 1. Physical layer: Quantum channels connecting network devices.
> Responsible for establishing short-link entanglement. Possible
> protocols are sender-receiver, midpoint etc.
>
> 2. Connectivity layer: Quantum repeaters. Responsible for establishing
> long-distance entanglement. Possible protocols are repeater protocols
> (EPP recurrence based, EPP hashing based, encoded, etc).
>
> 3. Link layer: Quantum switches. Responsible for defining the boundary
> of a network, which network devices connect in the same network, and
> generating arbitrary graph states among clients in a network. Devices
> here connect via the network states which we identified in the first
> work. For this layer we also identified so-called reliable protocols.
> Protocols in general are the protocols of the first work.
>
> 4. Network layer: Quantum routers. Responsible for enabling for
> inter-network graph state generation among clients. In order to do so,
> we proposed a routing protocol for GHZ states which allows for the
> generation of a virtual network state among requesting devices. Since
> in that case, the requesting devices just have to run the protocols of
> layer 3 to complete a graph state request of clients.
>
> In addition to this we provide a full example how the elements and
> layers in that stack combine. Specifically, we show how they work
> together in a concrete inter-network graph state request, including
> routing and graph state generation. Finally, we also discuss
> reachability in quantum networks (which is more or less the counter
> part to a classical ping). We believe that this closely relates to
> checking for entanglement across network devices.
>
> Best regards
> Alexander Pirker
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Gelard Patrick <[email-masked]>
> To: Rodney Van Meter <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 Mar 2019 10:19:48 +0000
> Subject: Re: [Qirg] connection setup
> Hi Rod,
>
> What do you mean by : « quantum communication between two nodes more
> closely resembles a coordinated computation distributed among the set of
> nodes forming the path between the two nodes than a store-and-forward
> network session  » ?
>
> Do you mean that quantum communication between two nodes is more closely
> concerned by distributed LOCC ( local operations and classical
> communication ) computation among the set of nodes forming the path between
> the two nodes than a store-and-forward network session  ?
>
> As entanglement represents a fundamental resource in quantum internet,
> thus LOCC being the class of operations that manipulates and consumes this
> resource ?
>
> That's why you don't want to use the  « source »  and « destination »
> terms for the connection level in a quantum network ? Because distributed
> quantum states coud be use to transform entanglement (
> https://arxiv.org/pdf/quant-ph/9811053.pdf ) ?
>
> /Patrick
>
> De : Qirg <[email-masked]> De la part de Rodney Van Meter
> Envoyé : mercredi 13 mars 2019 01:39
> À : [email-masked]
> Cc : Rodney Van Meter <[email-masked]>
> Objet : [Qirg] connection setup
>
> We uploaded a draft on connection setup in a quantum network.  This
> represents how our quantum Internet simulator actually does things today,
> though the implementation isn’t yet truly complete.
>
> https://datatracker.ietf.org/doc/draft-van-meter-qirg-quantum-connection-setup/
>
> With the chair’s permission(???), would like to add this to the agenda for
> Prague.
>
> —Rod
>
> P.S. I don’t think any of the three new drafts that were uploaded have
> correctly shown up as QIRG-related.  Will see what I can do to fix.
>
>
>
>
> ---------- Forwarded message ----------
> From: Axel Dahlberg <[email-masked]>
> To:
> Cc: "[email-masked]" <[email-masked]>
> Bcc:
> Date: Wed, 13 Mar 2019 10:20:47 +0000
> Subject: Re: [Qirg] Qirg Digest, Vol 12, Issue 10
> Hello Gyananjay!
>
> Thanks for your email! Borrowing words from the classical internet stack
> has both its advantages and disadvantages. In a Quantum Internet,
> entanglement is the fundamental building block. One needs entanglement to
> bridge long distances between nodes in order for them to generate
> entanglement and transmit qubits. In the draft we define the service of the
> link layer in a Quantum Internet to generate entanglement between nodes
> that are directly connected by a quantum channel (possibly including
> automated quantum repeaters). On top of the link layer there will be a
> network layer which uses the short distance entanglement provided by the
> link layer to generated entanglement between distant nodes which are not
> directly connected by a quantum channel. Using such long distance
> entanglement provided by the layer 3 network layer, one can teleport qubits
> between distant nodes. It is not yet clear to me if there is a need for a
> “qubit transport layer” on top of the network layer to perform the
> teleportation or if this is part of an application layer.
>
> I hope this brings some more clarity! I’m happy to continue the discussion.
>
> /Axel Dahlberg
>
> On 12 Mar 2019, at 20:56, gyananjay rai <[email-masked]> wrote:
>
> Hi ,
>
> I can perceive only classical perspective of the draft due my limitation
> of deeper insight of quantum mechanics.
>
> 1.I feel the draft is concluding entire data link,network and transport
> layer in to one.If that is due to the fact that the achieving quantum
> communication at layer 2 on top of abstracted higher layer of classical
> communication ?
> 2. If entanglement is layer 2 phenomenon,what is layer3...teleportation we
> can think/conceptualize  of as layer 3!
> 3.Can we add QKD/BQC at layer 4.
> 4.What about TTL (Qubit)
>
> I just tried to find some analogies.
>
> Sincerely
> Gyananjay
>
> On Wed, 13 Mar 2019, 00:32 , <[email-masked]> wrote:
>
>> Send Qirg mailing list submissions to
>>         [email-masked]
>>
>> To subscribe or unsubscribe via the World Wide Web, visit
>>         https://www.irtf.org/mailman/listinfo/qirg
>> or, via email, send a message with subject or body 'help' to
>>         [email-masked]
>>
>> You can reach the person managing the list at
>>         [email-masked]
>>
>> When replying, please edit your Subject line so it is more specific
>> than "Re: Contents of Qirg digest..."
>> Today's Topics:
>>
>>    1. Link layer service draft (Axel Dahlberg)
>>
>>
>>
>> ---------- Forwarded message ----------
>> From: Axel Dahlberg <[email-masked]>
>> To: "[email-masked]" <[email-masked]>
>> Cc:
>> Bcc:
>> Date: Tue, 12 Mar 2019 10:50:42 +0000
>> Subject: [Qirg] Link layer service draft
>> Hi qirgers!
>>
>> As mentioned in an earlier email, I would like to discuss the service of
>> a link layer protocol in a Quantum Internet. To aid this discussion we
>> uploaded yesterday an initial draft (
>> https://datatracker.ietf.org/doc/html/draft-dahlberg-ll-quantum) that
>> specifies the service and interface of such a link layer. Note that this is
>> version 00 and is meant as a kickstarter for the discussion. Questions that
>> would be useful to discuss during the meeting are:
>>
>>         1. Is the specified service the service that higher layer
>> protocols and applications want and need? Is there something missing? Is
>> there something redundant?
>>         2. Is it feasible to implement this service on different types of
>> platforms and hardware? What limitations could there be? For example some
>> platforms might not support the type K (create and               keep)
>> requests. Conversely, are the capabilities that some hardware supports but
>> that the specified link layer service restricts? Should multi-partite
>> entangled states be part of the link layer?
>>         3. In the draft, what needs to be further specified/clarified?
>>
>> We are happy to hear any feedback, comments, questions, suggestions and
>> contributions.
>>
>> Looking forward to seeing you all in the meeting!
>>
>> /Axel Dahlberg
>>
>> _______________________________________________
>> Qirg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/qirg
>>
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
>
>
> _______________________________________________
> Qirg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/qirg
>